compute  v1
Properties | List of all members
Google.Apis.Compute.v1.Data.HttpHealthCheck Class Reference

Represents a legacy HTTP Health Check resource. More...

Inheritance diagram for Google.Apis.Compute.v1.Data.HttpHealthCheck:
Google::Apis::Requests::IDirectResponseSchema

Properties

virtual System.Nullable< int > CheckIntervalSec [get, set]
 How often (in seconds) to send a health check. The default value is 5 seconds. More...
 
virtual string CreationTimestamp [get, set]
 [Output Only] Creation timestamp in RFC3339 text format. More...
 
virtual string Description [get, set]
 An optional description of this resource. Provide this property when you create the resource. More...
 
virtual System.Nullable< int > HealthyThreshold [get, set]
 A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2. More...
 
virtual string Host [get, set]
 The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used. More...
 
virtual System.Nullable< ulong > Id [get, set]
 [Output Only] The unique identifier for the resource. This identifier is defined by the server. More...
 
virtual string Kind [get, set]
 [Output Only] Type of the resource. Always compute::httpHealthCheck for HTTP health checks. More...
 
virtual string Name [get, set]
 Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. More...
 
virtual System.Nullable< int > Port [get, set]
 The TCP port number for the HTTP health check request. The default value is 80. More...
 
virtual string RequestPath [get, set]
 The request path of the HTTP health check request. The default value is /. This field does not support query parameters. More...
 
virtual string SelfLink [get, set]
 [Output Only] Server-defined URL for the resource. More...
 
virtual System.Nullable< int > TimeoutSec [get, set]
 How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec. More...
 
virtual System.Nullable< int > UnhealthyThreshold [get, set]
 A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2. More...
 
virtual string ETag [get, set]
 The ETag of the item. More...
 
- Properties inherited from Google::Apis::Requests::IDirectResponseSchema
string ETag
 

Detailed Description

Represents a legacy HTTP Health Check resource.

Legacy health checks are required by network load balancers. For more information, read Health Check Concepts.

Property Documentation

◆ CheckIntervalSec

virtual System.Nullable<int> Google.Apis.Compute.v1.Data.HttpHealthCheck.CheckIntervalSec
getset

How often (in seconds) to send a health check. The default value is 5 seconds.

◆ CreationTimestamp

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.CreationTimestamp
getset

[Output Only] Creation timestamp in RFC3339 text format.

◆ Description

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.Description
getset

An optional description of this resource. Provide this property when you create the resource.

◆ ETag

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.ETag
getset

The ETag of the item.

◆ HealthyThreshold

virtual System.Nullable<int> Google.Apis.Compute.v1.Data.HttpHealthCheck.HealthyThreshold
getset

A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2.

◆ Host

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.Host
getset

The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used.

◆ Id

virtual System.Nullable<ulong> Google.Apis.Compute.v1.Data.HttpHealthCheck.Id
getset

[Output Only] The unique identifier for the resource. This identifier is defined by the server.

◆ Kind

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.Kind
getset

[Output Only] Type of the resource. Always compute::httpHealthCheck for HTTP health checks.

◆ Name

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.Name
getset

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

◆ Port

virtual System.Nullable<int> Google.Apis.Compute.v1.Data.HttpHealthCheck.Port
getset

The TCP port number for the HTTP health check request. The default value is 80.

◆ RequestPath

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.RequestPath
getset

The request path of the HTTP health check request. The default value is /. This field does not support query parameters.

◆ SelfLink

virtual string Google.Apis.Compute.v1.Data.HttpHealthCheck.SelfLink
getset

[Output Only] Server-defined URL for the resource.

◆ TimeoutSec

virtual System.Nullable<int> Google.Apis.Compute.v1.Data.HttpHealthCheck.TimeoutSec
getset

How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec.

◆ UnhealthyThreshold

virtual System.Nullable<int> Google.Apis.Compute.v1.Data.HttpHealthCheck.UnhealthyThreshold
getset

A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2.


The documentation for this class was generated from the following file: